OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.SampleLocations

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSampleLocations :: MonadIO m => m Bool
- gl_ARB_sample_locations :: Bool
- gl_FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_ARB :: GLenum
- gl_FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_ARB :: GLenum
- gl_PROGRAMMABLE_SAMPLE_LOCATION_ARB :: GLenum
- gl_PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_ARB :: GLenum
- gl_SAMPLE_LOCATION_ARB :: GLenum
- gl_SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_ARB :: GLenum
- gl_SAMPLE_LOCATION_PIXEL_GRID_WIDTH_ARB :: GLenum
- gl_SAMPLE_LOCATION_SUBPIXEL_BITS_ARB :: GLenum
- glEvaluateDepthValuesARB :: MonadIO m => m ()
- glFramebufferSampleLocationsfvARB :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glNamedFramebufferSampleLocationsfvARB :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> m ()

# Extension Support

glGetARBSampleLocations :: MonadIO m => m Bool

Is the ARB_sample_locations extension supported?

gl_ARB_sample_locations :: Bool

Is the ARB_sample_locations extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSampleLocations` in those cases instead.

# Enums

gl_FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_ARB :: GLenum

gl_FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_ARB :: GLenum

gl_PROGRAMMABLE_SAMPLE_LOCATION_ARB :: GLenum

gl_PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_ARB :: GLenum

gl_SAMPLE_LOCATION_ARB :: GLenum

gl_SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_ARB :: GLenum

gl_SAMPLE_LOCATION_PIXEL_GRID_WIDTH_ARB :: GLenum

gl_SAMPLE_LOCATION_SUBPIXEL_BITS_ARB :: GLenum

# Functions

glEvaluateDepthValuesARB :: MonadIO m => m ()

glFramebufferSampleLocationsfvARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `start`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v`.
-> m () |

glNamedFramebufferSampleLocationsfvARB

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLuint | `start`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v`.
-> m () |